/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 27/06/22.
//

#ifndef FGGL_GFX_OGL4_MODULE_HPP
#define FGGL_GFX_OGL4_MODULE_HPP

#include <array>

#include "fggl/services/module.hpp"

#include "fggl/assets/manager.hpp"
#include "fggl/assets/packed/module.hpp"
#include "fggl/entity/module.hpp"

#include "fggl/gfx/interfaces.hpp"
#include "fggl/gfx/setup.hpp"

#include "fggl/gfx/ogl/renderer.hpp"
#include "fggl/gfx/ogl4/setup.hpp"

namespace fggl::gfx {

	struct OpenGL4 : public services::Module {
		FGGL_MODULE(fggl::gfx::OpenGL4, filesystem::API, assets::PackedAssets, entity::ECS)

		Module::ServiceList getProvides() const override;

		void setup(services::Generator*) override;
		void wireServices(fggl::services::ModuleBinder &binder) override;
	};

} //namespace fggl::gfx

#endif //FGGL_GFX_OGL4_MODULE_HPP
